mfschunkserver(8)

NAME
mfschunkserver - start, restart or stop Moose File System chunkserver process

SYNOPSIS
mfschunkserver [-c CFGFILE] [-u] [-f] [-t LOCKTIMEOUT] [ACTION]

mfschunkserver -v

mfschunkserver -h

DESCRIPTION

mfschunkserver is the data server of Moose File System.

OPTIONS

-v  print version information and exit

-h  print usage information and exit

-c CFGFILE
    specify alternative path of configuration file (default is mfschunkserver.cfg in system configuration directory)

-u  log undefined configuration values (when default is assumed)

-f  run in foreground, don't daemonize

-t LOCKTIMEOUT
    how long to wait for lockfile (in seconds; default is 60 seconds)

ACTION
    is the one of start, stop, restart, reload, test or kill. Default action is restart. The test action will yeld one of two responses: "mfschunkserver pid: PID" or "mfschunkserver is not running". The kill action will send a SIGKILL to the currently running chunkserver process. SIGHUP or reload action forces mfschunkserver to reload all configuration files.

FILES

mfschunkserver.cfg
    configuration file for MooseFS chunkserver process; refer to mfschunkserver.cfg(5) manual for details

mfshdd.cfg
    list of directories (mountpoints) used for MooseFS storage; refer to mfshdd.cfg(5) manual for details

.mfschunkserver.lock
    lock file of running MooseFS chunkserver process (created in data directory)

data.csstats
    chunkserver charts state (created in data directory)

REPORTING BUGS
Report bugs to <bugs@moosefs.com>.

COPYRIGHT
Copyright (C) 2018 Jakub Kruszona-Zawadzki, Core Technology Sp. z o.o. This file is part of MooseFS. MooseFS is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2 (only). MooseFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with MooseFS; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1301, USA or visit http://www.gnu.org/licenses/gpl-2.0.html

SEE ALSO
mfsmaster(8), mfsmount(8), mfschunkserver.cfg(5), mfshdd.cfg(5)